import java.util.Scanner;
public class MinimalanTrud {

    public static void main(String[] args) {        
        Scanner sc = new Scanner(System.in);
        // Unos bodova osvojenih u drugom krugu
        int b = sc.nextInt();
        // Unos bodova osvojenih u trecem krugu
        int c = sc.nextInt();
        // Dodela promenljivoj a neophodan minimalan broj bodova
        int a = 0;
        if( b+c < 256 ){
            a = 256-Math.max(b, c);
        }
        
        if( c == 0 ){
            if( b < 256 )
                a = 256-b;
        }
        
        if( b == 0 ){
            if( c < 256 )
                a = 256-c;
        }
        
        // Ispisuje se najmanji broj bodova koji Mika treba da osvoji 
        System.out.println(a);        
    }
}